Page MenuHomePhabricator

[RISCV] Update B extension version to 0.93.
ClosedPublic

Authored by craig.topper on Jan 19 2021, 2:16 PM.

Diff Detail

Event Timeline

craig.topper created this revision.Jan 19 2021, 2:16 PM
craig.topper requested review of this revision.Jan 19 2021, 2:16 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 19 2021, 2:16 PM
asb added a comment.Jan 21 2021, 5:51 AM

I don't think any of the other patches in the stack update the comment at the top of RISCVInstrInfoB.td to say "version 0.92" rather than "version 0.93", and this is probably a reasonable patch to do it in.

Update header on RISCVInstrInfoB.td

Herald added a project: Restricted Project. · View Herald TranscriptJan 21 2021, 8:04 AM
Herald added a subscriber: hiraditya. · View Herald Transcript

Rebase after clang-format in Zba patch

Remove conflict marker that got left behind

frasercrmck added inline comments.Jan 22 2021, 6:56 AM
llvm/lib/Target/RISCV/RISCVInstrInfoB.td
737–738

This might need updated. The statement is still true in 0.92, but it's not the "current version"

Remove reference to version from the rori comment. The version doesn't really matter, I doubt the encoding will ever be added.

frasercrmck accepted this revision.Jan 22 2021, 10:15 AM
This revision is now accepted and ready to land.Jan 22 2021, 10:15 AM
asb accepted this revision.Jan 22 2021, 10:37 AM
This revision was landed with ongoing or failed builds.Jan 22 2021, 12:51 PM
This revision was automatically updated to reflect the committed changes.